SET @Rest := 814; -- Leftover area (49 nodes)
SET @Area361 := @Rest+1; -- Area 361 (85 nodes)
SET @Area1763 := @Rest+2; -- Area 1763 (19 nodes)
SET @Area1766 := @Rest+3; -- Area 1766 (17 nodes)
SET @Area1767 := @Rest+4; -- Area 1767 (45 nodes)
SET @Area2481 := @Rest+5; -- Area 2481 (13 nodes)
SET @Area2618 := @Rest+6; -- Area 2618 (14 nodes)

DELETE FROM `pool_template` WHERE `entry` BETWEEN @Rest AND @Rest+6 ;
INSERT INTO `pool_template` (`entry`,`max_limit`,`description`) VALUES
(@Rest   ,10, 'Master Herbs Zone 361 Leftover Areas (10 out of 49 nodes)'),
(@Area361,17, 'Master Herbs Zone 361 Area 361 (17 out of 85 nodes)'),
(@Area1763,4, 'Master Herbs Zone 361 Area 1763 (4 out of 19 nodes)'),
(@Area1766,3, 'Master Herbs Zone 361 Area 1766 (3 out of 17 nodes)'),
(@Area1767,9, 'Master Herbs Zone 361 Area 1767 (9 out of 45 nodes)'),
(@Area2481,9, 'Master Herbs Zone 361 Area 2481 (3 out of 13 nodes)'),
(@Area2618,9, 'Master Herbs Zone 361 Area 2618 (3 out of 14 nodes)');

DELETE FROM `pool_gameobject` WHERE `pool_entry` BETWEEN @REST AND @REST+6 ;
INSERT INTO `pool_gameobject` (`guid`,`pool_entry`,`chance`,`description`) VALUES
-- Nodes are numbered based on GUID, comment shows area and type
-- Pooled per area for more randomness
(15955,@Area361,0,'Arthas Tears,Zone 361,Area 361,node 3'),
(15964,@Area361,0,'Arthas Tears,Zone 361,Area 361,node 6'),
(15965,@Area361,0,'Arthas Tears,Zone 361,Area 361,node 7'),
(15981,@Area361,0,'Arthas Tears,Zone 361,Area 361,node 10'),
(16004,@Area361,0,'Arthas Tears,Zone 361,Area 361,node 14'),
(16006,@Area361,0,'Arthas Tears,Zone 361,Area 361,node 15'),
(16020,@Area361,0,'Arthas Tears,Zone 361,Area 361,node 20'),
(16023,@Area361,0,'Arthas Tears,Zone 361,Area 361,node 21'),
(16024,@Area361,0,'Arthas Tears,Zone 361,Area 361,node 22'),
(16031,@Area361,0,'Sungrass,Zone 361,Area 361,node 24'),
(16062,@Area361,0,'Sungrass,Zone 361,Area 361,node 25'),
(16073,@Area361,0,'Sungrass,Zone 361,Area 361,node 26'),
(16074,@Area361,0,'Sungrass,Zone 361,Area 361,node 27'),
(16091,@Area361,0,'Sungrass,Zone 361,Area 361,node 29'),
(16156,@Area361,0,'Sungrass,Zone 361,Area 361,node 31'),
(16177,@Area361,0,'Sungrass,Zone 361,Area 361,node 33'),
(16259,@Area361,0,'Sungrass,Zone 361,Area 361,node 36'),
(16451,@Area361,0,'Gromsblood,Zone 361,Area 361,node 39'),
(16452,@Area361,0,'Gromsblood,Zone 361,Area 361,node 40'),
(16455,@Area361,0,'Gromsblood,Zone 361,Area 361,node 41'),
(16459,@Area361,0,'Gromsblood,Zone 361,Area 361,node 42'),
(16460,@Area361,0,'Gromsblood,Zone 361,Area 361,node 43'),
(16461,@Area361,0,'Gromsblood,Zone 361,Area 361,node 44'),
(16466,@Area361,0,'Gromsblood,Zone 361,Area 361,node 46'),
(16467,@Area361,0,'Gromsblood,Zone 361,Area 361,node 47'),
(16469,@Area361,0,'Gromsblood,Zone 361,Area 361,node 49'),
(16471,@Area361,0,'Gromsblood,Zone 361,Area 361,node 51'),
(16483,@Area361,0,'Gromsblood,Zone 361,Area 361,node 55'),
(16484,@Area361,0,'Gromsblood,Zone 361,Area 361,node 56'),
(16485,@Area361,0,'Gromsblood,Zone 361,Area 361,node 57'),
(16487,@Area361,0,'Gromsblood,Zone 361,Area 361,node 59'),
(16492,@Area361,0,'Gromsblood,Zone 361,Area 361,node 64'),
(16493,@Area361,0,'Gromsblood,Zone 361,Area 361,node 65'),
(16494,@Area361,0,'Gromsblood,Zone 361,Area 361,node 66'),
(16495,@Area361,0,'Gromsblood,Zone 361,Area 361,node 67'),
(16496,@Area361,0,'Gromsblood,Zone 361,Area 361,node 68'),
(16505,@Area361,0,'Gromsblood,Zone 361,Area 361,node 71'),
(16507,@Area361,0,'Gromsblood,Zone 361,Area 361,node 73'),
(16508,@Area361,0,'Gromsblood,Zone 361,Area 361,node 74'),
(16509,@Area361,0,'Gromsblood,Zone 361,Area 361,node 75'),
(16512,@Area361,0,'Gromsblood,Zone 361,Area 361,node 76'),
(16514,@Area361,0,'Gromsblood,Zone 361,Area 361,node 78'),
(16516,@Area361,0,'Gromsblood,Zone 361,Area 361,node 79'),
(16520,@Area361,0,'Gromsblood,Zone 361,Area 361,node 82'),
(16525,@Area361,0,'Gromsblood,Zone 361,Area 361,node 85'),
(16528,@Area361,0,'Gromsblood,Zone 361,Area 361,node 86'),
(16532,@Area361,0,'Gromsblood,Zone 361,Area 361,node 89'),
(16542,@Area361,0,'Gromsblood,Zone 361,Area 361,node 92'),
(18966,@Area361,0,'Golden Sansam,Zone 361,Area 361,node 97'),
(18975,@Area361,0,'Golden Sansam,Zone 361,Area 361,node 99'),
(19002,@Area361,0,'Golden Sansam,Zone 361,Area 361,node 103'),
(19028,@Area361,0,'Golden Sansam,Zone 361,Area 361,node 104'),
(19036,@Area361,0,'Golden Sansam,Zone 361,Area 361,node 105'),
(19253,@Area361,0,'Golden Sansam,Zone 361,Area 361,node 124'),
(19276,@Area361,0,'Dreamfoil,Zone 361,Area 361,node 125'),
(19307,@Area361,0,'Dreamfoil,Zone 361,Area 361,node 126'),
(19360,@Area361,0,'Dreamfoil,Zone 361,Area 361,node 130'),
(19377,@Area361,0,'Dreamfoil,Zone 361,Area 361,node 131'),
(19379,@Area361,0,'Dreamfoil,Zone 361,Area 361,node 132'),
(19382,@Area361,0,'Dreamfoil,Zone 361,Area 361,node 135'),
(19409,@Area361,0,'Dreamfoil,Zone 361,Area 361,node 138'),
(19412,@Area361,0,'Dreamfoil,Zone 361,Area 361,node 139'),
(19447,@Area361,0,'Dreamfoil,Zone 361,Area 361,node 144'),
(19459,@Area361,0,'Dreamfoil,Zone 361,Area 361,node 148'),
(19461,@Area361,0,'Dreamfoil,Zone 361,Area 361,node 149'),
(19462,@Area361,0,'Dreamfoil,Zone 361,Area 361,node 150'),
(19463,@Area361,0,'Dreamfoil,Zone 361,Area 361,node 151'),
(19486,@Area361,0,'Dreamfoil,Zone 361,Area 361,node 154'),
(19521,@Area361,0,'Dreamfoil,Zone 361,Area 361,node 159'),
(19545,@Area361,0,'Dreamfoil,Zone 361,Area 361,node 161'),
(19561,@Area361,0,'Dreamfoil,Zone 361,Area 361,node 165'),
(19562,@Area361,0,'Dreamfoil,Zone 361,Area 361,node 166'),
(19623,@Area361,0,'Dreamfoil,Zone 361,Area 361,node 172'),
(19631,@Area361,0,'Dreamfoil,Zone 361,Area 361,node 173'),
(19655,@Area361,0,'Dreamfoil,Zone 361,Area 361,node 177'),
(19892,@Area361,0,'Plaguebloom,Zone 361,Area 361,node 183'),
(19945,@Area361,0,'Plaguebloom,Zone 361,Area 361,node 193'),
(20005,@Area361,0,'Plaguebloom,Zone 361,Area 361,node 208'),
(20037,@Area361,0,'Plaguebloom,Zone 361,Area 361,node 220'),
(20039,@Area361,0,'Plaguebloom,Zone 361,Area 361,node 222'),
(20066,@Area361,0,'Plaguebloom,Zone 361,Area 361,node 231'),
(20067,@Area361,0,'Plaguebloom,Zone 361,Area 361,node 232'),
(20068,@Area361,0,'Plaguebloom,Zone 361,Area 361,node 233'),
(20076,@Area361,0,'Plaguebloom,Zone 361,Area 361,node 234'),
(20131,@Area361,0,'Plaguebloom,Zone 361,Area 361,node 242'),
(16473,@Rest,0,'Gromsblood,Zone 361,Area 1761,node 52'),
(16530,@Rest,0,'Gromsblood,Zone 361,Area 1761,node 88'),
(19098,@Rest,0,'Golden Sansam,Zone 361,Area 1761,node 110'),
(19997,@Rest,0,'Plaguebloom,Zone 361,Area 1761,node 206'),
(19998,@Rest,0,'Plaguebloom,Zone 361,Area 1761,node 207'),
(20078,@Rest,0,'Plaguebloom,Zone 361,Area 1761,node 235'),
(16535,@Rest,0,'Gromsblood,Zone 361,Area 1762,node 90'),
(18986,@Rest,0,'Golden Sansam,Zone 361,Area 1762,node 100'),
(19043,@Rest,0,'Golden Sansam,Zone 361,Area 1762,node 106'),
(19070,@Rest,0,'Golden Sansam,Zone 361,Area 1762,node 108'),
(19575,@Rest,0,'Dreamfoil,Zone 361,Area 1762,node 169'),
(19576,@Rest,0,'Dreamfoil,Zone 361,Area 1762,node 170'),
(19827,@Rest,0,'Mountain Silversage,Zone 361,Area 1762,node 179'),
(20098,@Rest,0,'Plaguebloom,Zone 361,Area 1762,node 238'),
(15953,@Area1763,0,'Arthas Tears,Zone 361,Area 1763,node 1'),
(15960,@Area1763,0,'Arthas Tears,Zone 361,Area 1763,node 4'),
(15976,@Area1763,0,'Arthas Tears,Zone 361,Area 1763,node 8'),
(15978,@Area1763,0,'Arthas Tears,Zone 361,Area 1763,node 9'),
(16018,@Area1763,0,'Arthas Tears,Zone 361,Area 1763,node 19'),
(16157,@Area1763,0,'Sungrass,Zone 361,Area 1763,node 32'),
(16203,@Area1763,0,'Sungrass,Zone 361,Area 1763,node 34'),
(16474,@Area1763,0,'Gromsblood,Zone 361,Area 1763,node 53'),
(16480,@Area1763,0,'Gromsblood,Zone 361,Area 1763,node 54'),
(16500,@Area1763,0,'Gromsblood,Zone 361,Area 1763,node 69'),
(16524,@Area1763,0,'Gromsblood,Zone 361,Area 1763,node 84'),
(16536,@Area1763,0,'Gromsblood,Zone 361,Area 1763,node 91'),
(19001,@Area1763,0,'Golden Sansam,Zone 361,Area 1763,node 102'),
(19111,@Area1763,0,'Golden Sansam,Zone 361,Area 1763,node 112'),
(19154,@Area1763,0,'Golden Sansam,Zone 361,Area 1763,node 117'),
(19380,@Area1763,0,'Dreamfoil,Zone 361,Area 1763,node 133'),
(19580,@Area1763,0,'Dreamfoil,Zone 361,Area 1763,node 171'),
(19660,@Area1763,0,'Dreamfoil,Zone 361,Area 1763,node 178'),
(19985,@Area1763,0,'Plaguebloom,Zone 361,Area 1763,node 204'),
(16513,@Rest,0,'Gromsblood,Zone 361,Area 1764,node 77'),
(16518,@Rest,0,'Gromsblood,Zone 361,Area 1764,node 80'),
(16519,@Rest,0,'Gromsblood,Zone 361,Area 1764,node 81'),
(16522,@Rest,0,'Gromsblood,Zone 361,Area 1764,node 83'),
(16529,@Rest,0,'Gromsblood,Zone 361,Area 1764,node 87'),
(19381,@Rest,0,'Dreamfoil,Zone 361,Area 1765,node 134'),
(19635,@Rest,0,'Dreamfoil,Zone 361,Area 1765,node 174'),
(20040,@Rest,0,'Plaguebloom,Zone 361,Area 1765,node 223'),
(15995,@Area1766,0,'Arthas Tears,Zone 361,Area 1766,node 11'),
(16009,@Area1766,0,'Arthas Tears,Zone 361,Area 1766,node 16'),
(16016,@Area1766,0,'Arthas Tears,Zone 361,Area 1766,node 18'),
(16231,@Area1766,0,'Sungrass,Zone 361,Area 1766,node 35'),
(18998,@Area1766,0,'Golden Sansam,Zone 361,Area 1766,node 101'),
(19399,@Area1766,0,'Dreamfoil,Zone 361,Area 1766,node 137'),
(19500,@Area1766,0,'Dreamfoil,Zone 361,Area 1766,node 157'),
(19962,@Area1766,0,'Plaguebloom,Zone 361,Area 1766,node 198'),
(19964,@Area1766,0,'Plaguebloom,Zone 361,Area 1766,node 199'),
(19983,@Area1766,0,'Plaguebloom,Zone 361,Area 1766,node 202'),
(20022,@Area1766,0,'Plaguebloom,Zone 361,Area 1766,node 216'),
(20023,@Area1766,0,'Plaguebloom,Zone 361,Area 1766,node 217'),
(20024,@Area1766,0,'Plaguebloom,Zone 361,Area 1766,node 218'),
(20048,@Area1766,0,'Plaguebloom,Zone 361,Area 1766,node 224'),
(20049,@Area1766,0,'Plaguebloom,Zone 361,Area 1766,node 225'),
(20050,@Area1766,0,'Plaguebloom,Zone 361,Area 1766,node 226'),
(20095,@Area1766,0,'Plaguebloom,Zone 361,Area 1766,node 237'),
(15962,@Area1767,0,'Arthas Tears,Zone 361,Area 1767,node 5'),
(16025,@Area1767,0,'Arthas Tears,Zone 361,Area 1767,node 23'),
(16284,@Area1767,0,'Sungrass,Zone 361,Area 1767,node 37'),
(16285,@Area1767,0,'Sungrass,Zone 361,Area 1767,node 38'),
(18948,@Area1767,0,'Golden Sansam,Zone 361,Area 1767,node 95'),
(19076,@Area1767,0,'Golden Sansam,Zone 361,Area 1767,node 109'),
(19106,@Area1767,0,'Golden Sansam,Zone 361,Area 1767,node 111'),
(19130,@Area1767,0,'Golden Sansam,Zone 361,Area 1767,node 114'),
(19131,@Area1767,0,'Golden Sansam,Zone 361,Area 1767,node 115'),
(19132,@Area1767,0,'Golden Sansam,Zone 361,Area 1767,node 116'),
(19167,@Area1767,0,'Golden Sansam,Zone 361,Area 1767,node 118'),
(19177,@Area1767,0,'Golden Sansam,Zone 361,Area 1767,node 119'),
(19187,@Area1767,0,'Golden Sansam,Zone 361,Area 1767,node 120'),
(19236,@Area1767,0,'Golden Sansam,Zone 361,Area 1767,node 122'),
(19391,@Area1767,0,'Dreamfoil,Zone 361,Area 1767,node 136'),
(19413,@Area1767,0,'Dreamfoil,Zone 361,Area 1767,node 140'),
(19432,@Area1767,0,'Dreamfoil,Zone 361,Area 1767,node 143'),
(19449,@Area1767,0,'Dreamfoil,Zone 361,Area 1767,node 145'),
(19450,@Area1767,0,'Dreamfoil,Zone 361,Area 1767,node 146'),
(19451,@Area1767,0,'Dreamfoil,Zone 361,Area 1767,node 147'),
(19485,@Area1767,0,'Dreamfoil,Zone 361,Area 1767,node 153'),
(19487,@Area1767,0,'Dreamfoil,Zone 361,Area 1767,node 155'),
(19515,@Area1767,0,'Dreamfoil,Zone 361,Area 1767,node 158'),
(19539,@Area1767,0,'Dreamfoil,Zone 361,Area 1767,node 160'),
(19546,@Area1767,0,'Dreamfoil,Zone 361,Area 1767,node 162'),
(19547,@Area1767,0,'Dreamfoil,Zone 361,Area 1767,node 163'),
(19572,@Area1767,0,'Dreamfoil,Zone 361,Area 1767,node 167'),
(19574,@Area1767,0,'Dreamfoil,Zone 361,Area 1767,node 168'),
(19638,@Area1767,0,'Dreamfoil,Zone 361,Area 1767,node 175'),
(19651,@Area1767,0,'Dreamfoil,Zone 361,Area 1767,node 176'),
(19917,@Area1767,0,'Plaguebloom,Zone 361,Area 1767,node 187'),
(19959,@Area1767,0,'Plaguebloom,Zone 361,Area 1767,node 196'),
(19965,@Area1767,0,'Plaguebloom,Zone 361,Area 1767,node 200'),
(19974,@Area1767,0,'Plaguebloom,Zone 361,Area 1767,node 201'),
(19984,@Area1767,0,'Plaguebloom,Zone 361,Area 1767,node 203'),
(20006,@Area1767,0,'Plaguebloom,Zone 361,Area 1767,node 209'),
(20007,@Area1767,0,'Plaguebloom,Zone 361,Area 1767,node 210'),
(20008,@Area1767,0,'Plaguebloom,Zone 361,Area 1767,node 211'),
(20009,@Area1767,0,'Plaguebloom,Zone 361,Area 1767,node 212'),
(20052,@Area1767,0,'Plaguebloom,Zone 361,Area 1767,node 227'),
(20065,@Area1767,0,'Plaguebloom,Zone 361,Area 1767,node 230'),
(20090,@Area1767,0,'Plaguebloom,Zone 361,Area 1767,node 236'),
(20106,@Area1767,0,'Plaguebloom,Zone 361,Area 1767,node 239'),
(20107,@Area1767,0,'Plaguebloom,Zone 361,Area 1767,node 240'),
(20117,@Area1767,0,'Plaguebloom,Zone 361,Area 1767,node 241'),
(16501,@Rest,0,'Gromsblood,Zone 361,Area 1769,node 70'),
(16543,@Rest,0,'Gromsblood,Zone 361,Area 1769,node 93'),
(18967,@Rest,0,'Golden Sansam,Zone 361,Area 1998,node 98'),
(19118,@Rest,0,'Golden Sansam,Zone 361,Area 1998,node 113'),
(19414,@Rest,0,'Dreamfoil,Zone 361,Area 1998,node 141'),
(19415,@Rest,0,'Dreamfoil,Zone 361,Area 1998,node 142'),
(19878,@Rest,0,'Plaguebloom,Zone 361,Area 1998,node 180'),
(19879,@Rest,0,'Plaguebloom,Zone 361,Area 1998,node 181'),
(19919,@Rest,0,'Plaguebloom,Zone 361,Area 1998,node 188'),
(19961,@Rest,0,'Plaguebloom,Zone 361,Area 1998,node 197'),
(15997,@Rest,0,'Arthas Tears,Zone 361,Area 2478,node 12'),
(16489,@Rest,0,'Gromsblood,Zone 361,Area 2478,node 61'),
(19231,@Rest,0,'Golden Sansam,Zone 361,Area 2478,node 121'),
(19317,@Rest,0,'Dreamfoil,Zone 361,Area 2478,node 127'),
(19347,@Rest,0,'Dreamfoil,Zone 361,Area 2478,node 129'),
(19930,@Rest,0,'Plaguebloom,Zone 361,Area 2478,node 192'),
(19995,@Rest,0,'Plaguebloom,Zone 361,Area 2478,node 205'),
(20019,@Rest,0,'Plaguebloom,Zone 361,Area 2478,node 213'),
(20020,@Rest,0,'Plaguebloom,Zone 361,Area 2478,node 214'),
(20021,@Rest,0,'Plaguebloom,Zone 361,Area 2478,node 215'),
(19950,@Rest,0,'Plaguebloom,Zone 361,Area 2479,node 194'),
(19951,@Rest,0,'Plaguebloom,Zone 361,Area 2479,node 195'),
(16154,@Rest,0,'Sungrass,Zone 361,Area 2480,node 30'),
(19239,@Rest,0,'Golden Sansam,Zone 361,Area 2480,node 123'),
(19927,@Rest,0,'Plaguebloom,Zone 361,Area 2480,node 190'),
(19928,@Rest,0,'Plaguebloom,Zone 361,Area 2480,node 191'),
(20053,@Rest,0,'Plaguebloom,Zone 361,Area 2480,node 228'),
(16468,@Area2481,0,'Gromsblood,Zone 361,Area 2481,node 48'),
(16486,@Area2481,0,'Gromsblood,Zone 361,Area 2481,node 58'),
(16488,@Area2481,0,'Gromsblood,Zone 361,Area 2481,node 60'),
(16490,@Area2481,0,'Gromsblood,Zone 361,Area 2481,node 62'),
(16491,@Area2481,0,'Gromsblood,Zone 361,Area 2481,node 63'),
(18965,@Area2481,0,'Golden Sansam,Zone 361,Area 2481,node 96'),
(19471,@Area2481,0,'Dreamfoil,Zone 361,Area 2481,node 152'),
(19907,@Area2481,0,'Plaguebloom,Zone 361,Area 2481,node 184'),
(19908,@Area2481,0,'Plaguebloom,Zone 361,Area 2481,node 185'),
(19909,@Area2481,0,'Plaguebloom,Zone 361,Area 2481,node 186'),
(19926,@Area2481,0,'Plaguebloom,Zone 361,Area 2481,node 189'),
(20036,@Area2481,0,'Plaguebloom,Zone 361,Area 2481,node 219'),
(20038,@Area2481,0,'Plaguebloom,Zone 361,Area 2481,node 221'),
(15954,@Area2618,0,'Arthas Tears,Zone 361,Area 2618,node2'),
(16000,@Area2618,0,'Arthas Tears,Zone 361,Area 2618,node 13'),
(16010,@Area2618,0,'Arthas Tears,Zone 361,Area 2618,node 17'),
(16088,@Area2618,0,'Sungrass,Zone 361,Area 2618,node 28'),
(16465,@Area2618,0,'Gromsblood,Zone 361,Area 2618,node 45'),
(16470,@Area2618,0,'Gromsblood,Zone 361,Area 2618,node 50'),
(16506,@Area2618,0,'Gromsblood,Zone 361,Area 2618,node 72'),
(16545,@Area2618,0,'Gromsblood,Zone 361,Area 2618,node 94'),
(19055,@Area2618,0,'Golden Sansam,Zone 361,Area 2618,node 107'),
(19320,@Area2618,0,'Dreamfoil,Zone 361,Area 2618,node 128'),
(19488,@Area2618,0,'Dreamfoil,Zone 361,Area 2618,node 156'),
(19557,@Area2618,0,'Dreamfoil,Zone 361,Area 2618,node 164'),
(19888,@Area2618,0,'Plaguebloom,Zone 361,Area 2618,node 182'),
(20061,@Area2618,0,'Plaguebloom,Zone 361,Area 2618,node 229');
